gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ProgressBarAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ProgressBarAccessible = ProgressBarAccessible (ManagedPtr ProgressBarAccessible)
- class (GObject o, IsDescendantOf ProgressBarAccessible o) => IsProgressBarAccessible o
- toProgressBarAccessible :: (MonadIO m, IsProgressBarAccessible o) => o -> m ProgressBarAccessible

# Exported types

newtype ProgressBarAccessible Source #

Memory-managed wrapper type.

Constructors

ProgressBarAccessible (ManagedPtr ProgressBarAccessible) |

#### Instances

Instances details

Eq ProgressBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ProgressBarAccessible Methods (==) :: ProgressBarAccessible -> ProgressBarAccessible -> Bool Source # (/=) :: ProgressBarAccessible -> ProgressBarAccessible -> Bool Source #
GObject ProgressBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ProgressBarAccessible
ManagedPtrNewtype ProgressBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ProgressBarAccessible Methods toManagedPtr :: ProgressBarAccessible -> ManagedPtr ProgressBarAccessible Source #
TypedObject ProgressBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ProgressBarAccessible Methods glibType :: IO GType Source #
HasParentTypes ProgressBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ProgressBarAccessible
IsGValue (Maybe ProgressBarAccessible) Source # | Convert `ProgressBarAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ProgressBarAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ProgressBarAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ProgressBarAccessible) Source #
type ParentTypes ProgressBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ProgressBarAccessible type ParentTypes ProgressBarAccessible = '[WidgetAccessible, Accessible, Object, Object, Component, Value]

class (GObject o, IsDescendantOf ProgressBarAccessible o) => IsProgressBarAccessible o Source #

Type class for types which can be safely cast to `ProgressBarAccessible`, for instance with `toProgressBarAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ProgressBarAccessible o) => IsProgressBarAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ProgressBarAccessible

toProgressBarAccessible :: (MonadIO m, IsProgressBarAccessible o) => o -> m ProgressBarAccessible Source #

Cast to `ProgressBarAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getCurrentValue, getData, getDescription, getExtents, getHelpText, getIncrement, getIndexInParent, getLayer, getMaximumValue, getMdiZorder, getMinimumIncrement, getMinimumValue, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRange, getRole, getSize, getSubRanges, getValueAndText, getWidget.

#### Setters

setAccessibleId, setCurrentValue, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setValue, setWidget.